Usages - List By Location
Gets the current usage count and the limit for the resources of the location under the subscription.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Storage/locations/{location}/usages?api-version=2025-08-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string minLength: 1 |
The name of the Azure region. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
UsageList
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Storage/locations/eastus2(stage)/usages?api-version=2025-08-01
Sample response
{
"value": [
{
"name": {
"localizedValue": "Storage Accounts",
"value": "StorageAccounts"
},
"currentValue": 55,
"limit": 250,
"unit": "Count"
}
]
}
Definitions
| Name | Description |
|---|---|
|
Error |
An error response from the storage resource provider. |
|
Error |
Error response body contract. |
| Usage |
Describes Storage Resource Usage. |
|
Usage |
The response from the List Usages operation. |
|
Usage |
The usage names that can be used; currently limited to StorageAccount. |
|
Usage |
Gets the unit of measurement. |
ErrorResponse
An error response from the storage resource provider.
| Name | Type | Description |
|---|---|---|
| error |
Azure Storage Resource Provider error response body. |
ErrorResponseBody
Error response body contract.
| Name | Type | Description |
|---|---|---|
| code |
string |
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| message |
string |
A message describing the error, intended to be suitable for display in a user interface. |
Usage
Describes Storage Resource Usage.
| Name | Type | Description |
|---|---|---|
| currentValue |
integer (int32) |
Gets the current count of the allocated resources in the subscription. |
| limit |
integer (int32) |
Gets the maximum count of the resources that can be allocated in the subscription. |
| name |
Gets the name of the type of usage. |
|
| unit |
Gets the unit of measurement. |
UsageListResult
The response from the List Usages operation.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
|
| value |
Usage[] |
Gets or sets the list of Storage Resource Usages. |
UsageName
The usage names that can be used; currently limited to StorageAccount.
| Name | Type | Description |
|---|---|---|
| localizedValue |
string |
Gets a localized string describing the resource name. |
| value |
string |
Gets a string describing the resource name. |
UsageUnit
Gets the unit of measurement.
| Value | Description |
|---|---|
| Count | |
| Bytes | |
| Seconds | |
| Percent | |
| CountsPerSecond | |
| BytesPerSecond |